Bug 179007 - Thunderbird crashes when expanding a thread (backtrace attached)
Thunderbird crashes when expanding a thread (backtrace attached)
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-26 09:08 EST by Guillaume Chazarain
Modified: 2008-02-08 11:17 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-08 11:17:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Guillaume Chazarain 2006-01-26 09:08:56 EST
Description of problem:
Thunderbird crashes when expanding a thread in a folder, but it
does not happen all the time.

Version-Release number of selected component (if applicable):
thunderbird-1.5-1

Additional info:
Here is a gdb session log.

The backtrace points to *_retval = !(flags & MSG_VIEW_FLAG_HASCHILDREN);
but it seems the problem is in PRUint32 flags = m_flags[index]; with an
empty m_flags array.

(gdb) bt

#0  nsMsgDBView::IsContainerEmpty (this=0x99673b0, index=0, _retval=0xbfde7bf0)
at nsMsgDBView.cpp:1421
#1  0x06d01982 in nsXULTreeitemAccessible::GetState (this=0xb68665a0,
_retval=0xbfde7d8c) at nsXULTreeAccessible.cpp:502
#2  0x06cd0733 in nsAccessible::GetFinalState (this=0xb68665a0,
aState=0xbfde7d8c) at nsAccessible.cpp:1844
#3  0x06cd97bb in nsRootAccessible::HandleEvent (this=0x9970f08,
aEvent=0x9a735b8) at nsRootAccessible.cpp:856
#4  0x01de0457 in nsEventListenerManager::HandleEventSubType (this=0x9629cc8,
aListenerStruct=0x99a4618, aDOMEvent=0x9a735b8, aCurrentTarget=0x94f3230, 
    aSubType=0, aPhaseFlags=4) at nsEventListenerManager.cpp:1685
#5  0x01de0783 in nsEventListenerManager::HandleEvent (this=0x9629cc8,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, 
    aCurrentTarget=0x94f3230, aFlags=4, aEventStatus=0xbfde8a08) at
nsEventListenerManager.cpp:1786
#6  0x01e86997 in nsXULDocument::HandleDOMEvent (this=0x94f3180,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULDocument.cpp:1242
#7  0x01e79242 in nsXULElement::HandleDOMEvent (this=0x9629d58,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2135
#8  0x01e7920e in nsXULElement::HandleDOMEvent (this=0x9680b60,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#9  0x01e7920e in nsXULElement::HandleDOMEvent (this=0x9680be0,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#10 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0200,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#11 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0270,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#12 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b02a8,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#13 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0348,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#14 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0470,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#15 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x93fc198,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=7, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#16 0x01de3b39 in nsEventStateManager::DispatchNewEvent (this=0x95e5818,
aTarget=0x93fc198, aEvent=0x9a735b8, aDefaultActionEnabled=0xbfde8c1c)
    at nsEventStateManager.cpp:4560
#17 0x01ddec08 in nsEventListenerManager::DispatchEvent (this=0x93fc1f0,
aEvent=0x9a735b8, _retval=0xbfde8c1c) at nsEventListenerManager.cpp:2143
#18 0x01dbb54d in nsDOMEventRTTearoff::DispatchEvent (this=0xb683a4d8,
evt=0x9a735b8, _retval=0xbfde8c1c) at nsGenericElement.cpp:694
#19 0x001ab489 in XPTC_InvokeByIndex () at
../../../../../../dist/include/xpcom/xptcstubsdef.inc:251
#20 0x031357d9 in XPCWrappedNative::CallMethod (ccx=@0xbfde8d10,
mode=XPCWrappedNative::CALL_METHOD) at xpcwrappednative.cpp:2139
#21 0x03138172 in XPC_WN_CallMethod (cx=0x952a1b0, obj=0x95cbbb0, argc=1,
argv=0x9c920e8, vp=0xbfde8e14) at xpcwrappednativejsops.cpp:1444
#22 0x00e0ffab in js_Invoke (cx=0x952a1b0, argc=1, flags=0) at jsinterp.c:1177
#23 0x00e0ad77 in js_Interpret (cx=0x952a1b0, pc=0x9870014 ":",
result=0xbfde9108) at jsinterp.c:3522
#24 0x00e10002 in js_Invoke (cx=0x952a1b0, argc=1, flags=0) at jsinterp.c:1197
#25 0x00e0ad77 in js_Interpret (cx=0x952a1b0, pc=0x9c5336c ":",
result=0xbfde93c0) at jsinterp.c:3522
#26 0x00e10002 in js_Invoke (cx=0x952a1b0, argc=1, flags=2) at jsinterp.c:1197
#27 0x00e03a92 in js_InternalInvoke (cx=0x952a1b0, obj=0x9723308,
fval=159120568, flags=2, argc=1, argv=0xbfde95e4, rval=0xbfde95d4) at
jsinterp.c:1274
#28 0x00de0e06 in JS_CallFunctionValue (cx=0x952a1b0, obj=0x9723308,
fval=159120568, argc=1, argv=0xbfde95e4, rval=0xbfde95d4) at jsapi.c:4158
#29 0x01e9d904 in nsJSContext::CallEventHandler (this=0x952a170,
aTarget=0x9723308, aHandler=0x97bfcb8, argc=1, argv=0xbfde95e4, rval=0xbfde95d4)
    at nsJSEnvironment.cpp:1411
#30 0x01ed1d5c in nsJSEventListener::HandleEvent (this=0x9ac9570,
aEvent=0x9c84498) at nsJSEventListener.cpp:186
#31 0x01e6ecb7 in nsXBLPrototypeHandler::ExecuteHandler (this=0x98771d0,
aReceiver=0x98e0348, aEvent=0x9c84498) at nsXBLPrototypeHandler.cpp:504
#32 0x01e6b3bc in nsXBLEventHandler::HandleEvent (this=0x9854450,
aEvent=0x9c84498) at nsXBLEventHandler.cpp:84
#33 0x01de0457 in nsEventListenerManager::HandleEventSubType (this=0x96b1688,
aListenerStruct=0x9863388, aDOMEvent=0x9c84498, aCurrentTarget=0x98e0348, 
    aSubType=4, aPhaseFlags=7) at nsEventListenerManager.cpp:1685
#34 0x01de0783 in nsEventListenerManager::HandleEvent (this=0x96b1688,
aPresContext=0x95e5570, aEvent=0xbfde9ea8, aDOMEvent=0xbfde9d64, 
    aCurrentTarget=0x98e0348, aFlags=7, aEventStatus=0xbfdea30c) at
nsEventListenerManager.cpp:1786
#35 0x01e792d3 in nsXULElement::HandleDOMEvent (this=0x96b1650,
aPresContext=0x95e5570, aEvent=0xbfde9ea8, aDOMEvent=0xbfde9d64, aFlags=7, 
    aEventStatus=0xbfdea30c) at nsXULElement.cpp:2152
#36 0x01c74e8e in PresShell::HandleEventInternal (this=0x941a290,
aEvent=0xbfde9ea8, aView=0x0, aFlags=1, aStatus=0xbfdea30c) at nsPresShell.cpp:6367
#37 0x01c75173 in PresShell::HandleEventWithTarget (this=0x941a290,
aEvent=0xbfde9ea8, aFrame=0x98d3adc, aContent=0x96b1650, aFlags=1,
aStatus=0xbfdea30c)
    at nsPresShell.cpp:6264
#38 0x01de2671 in nsEventStateManager::CheckForAndDispatchClick (this=0x95e5818,
aPresContext=0x95e5570, aEvent=0xbfdea434, aStatus=0xbfdea30c)
    at nsEventStateManager.cpp:3038
#39 0x01deb0b2 in nsEventStateManager::PostHandleEvent (this=0x95e5818,
aPresContext=0x95e5570, aEvent=0xbfdea434, aTargetFrame=0x98d3adc, 
    aStatus=0xbfdea30c, aView=0x98634f0) at nsEventStateManager.cpp:2016
#40 0x01c750dd in PresShell::HandleEventInternal (this=0x941a290,
aEvent=0xbfdea434, aView=0x98634f0, aFlags=513, aStatus=0xbfdea30c)
    at nsPresShell.cpp:6439
#41 0x01c756d8 in PresShell::HandleEvent (this=0x941a290, aView=0x98634f0,
aEvent=0xbfdea434, aEventStatus=0xbfdea30c, aForceHandle=0, aHandled=@0xbfdea304)
    at nsPresShell.cpp:6203
#42 0x01e9815a in nsViewManager::HandleEvent (this=0x95e54c8, aView=0x98634f0,
aEvent=0xbfdea434, aCaptured=0) at nsViewManager.cpp:2557
#43 0x01e99870 in nsViewManager::DispatchEvent (this=0x95e54c8,
aEvent=0xbfdea434, aStatus=0xbfdea404) at nsViewManager.cpp:2246
#44 0x01e9134a in HandleEvent (aEvent=0xbfdea434) at nsView.cpp:171
#45 0x01a261e2 in nsCommonWidget::DispatchEvent (this=0x9863548,
aEvent=0xbfdea434, aStatus=@0xbfdea47c) at nsCommonWidget.cpp:219
#46 0x01a20410 in nsWindow::OnButtonReleaseEvent (this=0x9863548,
aWidget=0x936faa8, aEvent=0x9295ad0) at nsWindow.cpp:1598
#47 0x01a20437 in button_release_event_cb (widget=0x936faa8, event=0x9295ad0) at
nsWindow.cpp:3731
#48 0x00320603 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#49 0x00b3ddbd in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#50 0x00b4ef88 in g_signal_override_class_closure () from
/usr/lib/libgobject-2.0.so.0
#51 0x00b502b3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#52 0x00b506a5 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#53 0x003fd8d0 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#54 0x0031abad in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#55 0x0031bbf5 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x00552213 in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
#57 0x005f9a43 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#58 0x005fca83 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#59 0x005fce2c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#60 0x0031c04c in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x01a2503a in nsAppShell::Run (this=0x9387fe0) at nsAppShell.cpp:139
#62 0x05a8dbdc in nsAppStartup::Run (this=0x9387fa0) at nsAppStartup.cpp:150
#63 0x0804f1d9 in XRE_main (argc=1, argv=0xbfdeafc4, aAppData=0x8062020) at
nsAppRunner.cpp:2313
#64 0x0804af71 in main (argc=1, argv=0xbfdeafc4) at nsMailApp.cpp:62
#65 0x008556b4 in __libc_start_main () from /lib/libc.so.6
#66 0x0804aed1 in _start ()

(gdb) p m_flags
$9 = {_vptr.nsUInt32Array = 0x25d4c78, m_nSize = 0, m_nMaxSize = 0, m_nGrowBy =
0, m_pData = 0x0}

(gdb) p index
$10 = 0

(gdb) thread apply all bt
Thread 10 (Thread -1300239456 (LWP 23680)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a09106 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1bd58 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#3  0x00b1bdb3 in PR_Wait () from /usr/lib/libnspr4.so
#4  0x0019623a in PL_WaitForEvent (self=0x9a80b00) at plevent.c:808
#5  0x00197709 in nsEventQueueImpl::WaitForEvent (this=0x9b1ef88,
aResult=0xb27fe248) at nsEventQueue.cpp:498
#6  0x0019c2b7 in nsProxyObject::PostAndWait (this=0x9c49130,
proxyInfo=0x9a68278) at nsProxyEvent.cpp:392
#7  0x0019c4ae in nsProxyObject::Post (this=0x9c49130, methodIndex=18,
methodInfo=0x9aa1e20, params=0xb27fe2ec, interfaceInfo=0x9a81130)
    at nsProxyEvent.cpp:512
#8  0x0019d17c in nsProxyEventObject::CallMethod (this=0x9b19290,
methodIndex=18, info=0x9aa1e20, params=0xb27fe2ec) at nsProxyEventObject.cpp:549
#9  0x001abfd8 in PrepareAndDispatch (methodIndex=Variable "methodIndex" is not
available.
) at xptcstubs_gcc_x86_unix.cpp:100
#10 0x023a2234 in nsImapProtocol::HandleIdleResponses (this=0x9c5ad18) at
nsImapProtocol.cpp:1191
#11 0x023aa37b in nsImapProtocol::ImapThreadMainLoop (this=0x9c5ad18) at
nsImapProtocol.cpp:1160
#12 0x023aa462 in nsImapProtocol::Run (this=0x9c5ad18) at nsImapProtocol.cpp:931
#13 0x001993e6 in nsThread::Main (arg=0x9c43cd0) at nsThread.cpp:118
#14 0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#15 0x00a06262 in start_thread () from /lib/libpthread.so.0
#16 0x0090714e in clone () from /lib/libc.so.6

Thread 9 (Thread -1289749600 (LWP 23662)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a09106 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1bd58 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#3  0x00b1bdb3 in PR_Wait () from /usr/lib/libnspr4.so
#4  0x0019623a in PL_WaitForEvent (self=0xb5c7e2b0) at plevent.c:808
#5  0x00197709 in nsEventQueueImpl::WaitForEvent (this=0xb5c7d920,
aResult=0xb31ff248) at nsEventQueue.cpp:498
#6  0x0019c2b7 in nsProxyObject::PostAndWait (this=0xb323ac60,
proxyInfo=0xb5c7d8f8) at nsProxyEvent.cpp:392
#7  0x0019c4ae in nsProxyObject::Post (this=0xb323ac60, methodIndex=18,
methodInfo=0x9aa1e20, params=0xb31ff2ec, interfaceInfo=0x9a81130)
    at nsProxyEvent.cpp:512
#8  0x0019d17c in nsProxyEventObject::CallMethod (this=0xb323b290,
methodIndex=18, info=0x9aa1e20, params=0xb31ff2ec) at nsProxyEventObject.cpp:549
#9  0x001abfd8 in PrepareAndDispatch (methodIndex=Variable "methodIndex" is not
available.
) at xptcstubs_gcc_x86_unix.cpp:100
#10 0x023a2234 in nsImapProtocol::HandleIdleResponses (this=0x9c4b700) at
nsImapProtocol.cpp:1191
#11 0x023aa37b in nsImapProtocol::ImapThreadMainLoop (this=0x9c4b700) at
nsImapProtocol.cpp:1160
#12 0x023aa462 in nsImapProtocol::Run (this=0x9c4b700) at nsImapProtocol.cpp:931
#13 0x001993e6 in nsThread::Main (arg=0x99991d0) at nsThread.cpp:118
#14 0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#15 0x00a06262 in start_thread () from /lib/libpthread.so.0
#16 0x0090714e in clone () from /lib/libc.so.6

Thread 8 (Thread -1277867104 (LWP 23630)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a0937c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1aff4 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x00b1bcc5 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x00b1bdb3 in PR_Wait () from /usr/lib/libnspr4.so
#5  0x023b57ba in nsAutoMonitor::Wait (this=0xb3d5440c, interval=1000) at
../../../dist/include/xpcom/nsAutoLock.h:286
#6  0x023aa2cb in nsImapProtocol::ImapThreadMainLoop (this=0x9ba4940) at
nsImapProtocol.cpp:1121
#7  0x023aa462 in nsImapProtocol::Run (this=0x9ba4940) at nsImapProtocol.cpp:931
#8  0x001993e6 in nsThread::Main (arg=0x9b7b080) at nsThread.cpp:118
#9  0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#10 0x00a06262 in start_thread () from /lib/libpthread.so.0
#11 0x0090714e in clone () from /lib/libc.so.6

Thread 7 (Thread -1266689120 (LWP 23616)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a0937c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1aff4 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x00b1bcc5 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x00b1bdb3 in PR_Wait () from /usr/lib/libnspr4.so
#5  0x023b57ba in nsAutoMonitor::Wait (this=0xb47fd40c, interval=1000) at
../../../dist/include/xpcom/nsAutoLock.h:286
#6  0x023aa2cb in nsImapProtocol::ImapThreadMainLoop (this=0x9a9baa0) at
nsImapProtocol.cpp:1121
#7  0x023aa462 in nsImapProtocol::Run (this=0x9a9baa0) at nsImapProtocol.cpp:931
#8  0x001993e6 in nsThread::Main (arg=0x9a9e868) at nsThread.cpp:118
#9  0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#10 0x00a06262 in start_thread () from /lib/libpthread.so.0
#11 0x0090714e in clone () from /lib/libc.so.6

Thread 5 (Thread -1245709408 (LWP 23614)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a09106 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1bd58 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#3  0x00b1bdb3 in PR_Wait () from /usr/lib/libnspr4.so
#4  0x0019623a in PL_WaitForEvent (self=0xb5c7e570) at plevent.c:808
#5  0x00197709 in nsEventQueueImpl::WaitForEvent (this=0xb5c7d860,
aResult=0xb5bff248) at nsEventQueue.cpp:498
#6  0x0019c2b7 in nsProxyObject::PostAndWait (this=0xb3202e00,
proxyInfo=0xb5c7b4a0) at nsProxyEvent.cpp:392
#7  0x0019c4ae in nsProxyObject::Post (this=0xb3202e00, methodIndex=18,
methodInfo=0x9aa1e20, params=0xb5bff2ec, interfaceInfo=0x9a81130)
    at nsProxyEvent.cpp:512
#8  0x0019d17c in nsProxyEventObject::CallMethod (this=0xb3202c20,
methodIndex=18, info=0x9aa1e20, params=0xb5bff2ec) at nsProxyEventObject.cpp:549
#9  0x001abfd8 in PrepareAndDispatch (methodIndex=Variable "methodIndex" is not
available.
) at xptcstubs_gcc_x86_unix.cpp:100
#10 0x023a2234 in nsImapProtocol::HandleIdleResponses (this=0x9a7f4a0) at
nsImapProtocol.cpp:1191
#11 0x023aa37b in nsImapProtocol::ImapThreadMainLoop (this=0x9a7f4a0) at
nsImapProtocol.cpp:1160
#12 0x023aa462 in nsImapProtocol::Run (this=0x9a7f4a0) at nsImapProtocol.cpp:931
#13 0x001993e6 in nsThread::Main (arg=0x9a80088) at nsThread.cpp:118
#14 0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#15 0x00a06262 in start_thread () from /lib/libpthread.so.0
#16 0x0090714e in clone () from /lib/libc.so.6

Thread 3 (Thread -1221031008 (LWP 23610)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x00a0937c in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00b1aff4 in PRP_NakedNotify () from /usr/lib/libnspr4.so
#3  0x00b1bcc5 in PR_WaitCondVar () from /usr/lib/libnspr4.so
#4  0x0019b255 in TimerThread::Run (this=0x929b500) at TimerThread.cpp:318
#5  0x001993e6 in nsThread::Main (arg=0x9410790) at nsThread.cpp:118
#6  0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00a06262 in start_thread () from /lib/libpthread.so.0
#8  0x0090714e in clone () from /lib/libc.so.6

Thread 2 (Thread -1210389600 (LWP 23609)):
#0  0x00fda402 in __kernel_vsyscall ()
#1  0x008fdc10 in poll () from /lib/libc.so.6
#2  0x00b1d6fe in PR_Poll () from /usr/lib/libnspr4.so
#3  0x00ed3a7c in nsSocketTransportService::Poll (this=0x92f7f68,
interval=0xb7dae424) at nsSocketTransportService2.cpp:359
#4  0x00ed3e7b in nsSocketTransportService::Run (this=0x92f7f68) at
nsSocketTransportService2.cpp:568
#5  0x001993e6 in nsThread::Main (arg=0x92ec440) at nsThread.cpp:118
#6  0x00b2147a in PR_JoinThread () from /usr/lib/libnspr4.so
#7  0x00a06262 in start_thread () from /lib/libpthread.so.0
#8  0x0090714e in clone () from /lib/libc.so.6

Thread 1 (Thread -1208109392 (LWP 23604)):
#0  nsMsgDBView::IsContainerEmpty (this=0x99673b0, index=0, _retval=0xbfde7bf0)
at nsMsgDBView.cpp:1421
#1  0x06d01982 in nsXULTreeitemAccessible::GetState (this=0xb68665a0,
_retval=0xbfde7d8c) at nsXULTreeAccessible.cpp:502
#2  0x06cd0733 in nsAccessible::GetFinalState (this=0xb68665a0,
aState=0xbfde7d8c) at nsAccessible.cpp:1844
#3  0x06cd97bb in nsRootAccessible::HandleEvent (this=0x9970f08,
aEvent=0x9a735b8) at nsRootAccessible.cpp:856
#4  0x01de0457 in nsEventListenerManager::HandleEventSubType (this=0x9629cc8,
aListenerStruct=0x99a4618, aDOMEvent=0x9a735b8, aCurrentTarget=0x94f3230, 
    aSubType=0, aPhaseFlags=4) at nsEventListenerManager.cpp:1685
#5  0x01de0783 in nsEventListenerManager::HandleEvent (this=0x9629cc8,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, 
    aCurrentTarget=0x94f3230, aFlags=4, aEventStatus=0xbfde8a08) at
nsEventListenerManager.cpp:1786
#6  0x01e86997 in nsXULDocument::HandleDOMEvent (this=0x94f3180,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULDocument.cpp:1242
#7  0x01e79242 in nsXULElement::HandleDOMEvent (this=0x9629d58,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2135
#8  0x01e7920e in nsXULElement::HandleDOMEvent (this=0x9680b60,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#9  0x01e7920e in nsXULElement::HandleDOMEvent (this=0x9680be0,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#10 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0200,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#11 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0270,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#12 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b02a8,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#13 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0348,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#14 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x96b0470,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=4, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#15 0x01e7920e in nsXULElement::HandleDOMEvent (this=0x93fc198,
aPresContext=0x95e5570, aEvent=0x9a73608, aDOMEvent=0xbfde8a3c, aFlags=7, 
    aEventStatus=0xbfde8a08) at nsXULElement.cpp:2130
#16 0x01de3b39 in nsEventStateManager::DispatchNewEvent (this=0x95e5818,
aTarget=0x93fc198, aEvent=0x9a735b8, aDefaultActionEnabled=0xbfde8c1c)
    at nsEventStateManager.cpp:4560
#17 0x01ddec08 in nsEventListenerManager::DispatchEvent (this=0x93fc1f0,
aEvent=0x9a735b8, _retval=0xbfde8c1c) at nsEventListenerManager.cpp:2143
#18 0x01dbb54d in nsDOMEventRTTearoff::DispatchEvent (this=0xb683a4d8,
evt=0x9a735b8, _retval=0xbfde8c1c) at nsGenericElement.cpp:694
#19 0x001ab489 in XPTC_InvokeByIndex () at
../../../../../../dist/include/xpcom/xptcstubsdef.inc:251
#20 0x031357d9 in XPCWrappedNative::CallMethod (ccx=@0xbfde8d10,
mode=XPCWrappedNative::CALL_METHOD) at xpcwrappednative.cpp:2139
#21 0x03138172 in XPC_WN_CallMethod (cx=0x952a1b0, obj=0x95cbbb0, argc=1,
argv=0x9c920e8, vp=0xbfde8e14) at xpcwrappednativejsops.cpp:1444
#22 0x00e0ffab in js_Invoke (cx=0x952a1b0, argc=1, flags=0) at jsinterp.c:1177
#23 0x00e0ad77 in js_Interpret (cx=0x952a1b0, pc=0x9870014 ":",
result=0xbfde9108) at jsinterp.c:3522
#24 0x00e10002 in js_Invoke (cx=0x952a1b0, argc=1, flags=0) at jsinterp.c:1197
#25 0x00e0ad77 in js_Interpret (cx=0x952a1b0, pc=0x9c5336c ":",
result=0xbfde93c0) at jsinterp.c:3522
#26 0x00e10002 in js_Invoke (cx=0x952a1b0, argc=1, flags=2) at jsinterp.c:1197
#27 0x00e03a92 in js_InternalInvoke (cx=0x952a1b0, obj=0x9723308,
fval=159120568, flags=2, argc=1, argv=0xbfde95e4, rval=0xbfde95d4) at
jsinterp.c:1274
#28 0x00de0e06 in JS_CallFunctionValue (cx=0x952a1b0, obj=0x9723308,
fval=159120568, argc=1, argv=0xbfde95e4, rval=0xbfde95d4) at jsapi.c:4158
#29 0x01e9d904 in nsJSContext::CallEventHandler (this=0x952a170,
aTarget=0x9723308, aHandler=0x97bfcb8, argc=1, argv=0xbfde95e4, rval=0xbfde95d4)
    at nsJSEnvironment.cpp:1411
#30 0x01ed1d5c in nsJSEventListener::HandleEvent (this=0x9ac9570,
aEvent=0x9c84498) at nsJSEventListener.cpp:186
#31 0x01e6ecb7 in nsXBLPrototypeHandler::ExecuteHandler (this=0x98771d0,
aReceiver=0x98e0348, aEvent=0x9c84498) at nsXBLPrototypeHandler.cpp:504
#32 0x01e6b3bc in nsXBLEventHandler::HandleEvent (this=0x9854450,
aEvent=0x9c84498) at nsXBLEventHandler.cpp:84
#33 0x01de0457 in nsEventListenerManager::HandleEventSubType (this=0x96b1688,
aListenerStruct=0x9863388, aDOMEvent=0x9c84498, aCurrentTarget=0x98e0348, 
    aSubType=4, aPhaseFlags=7) at nsEventListenerManager.cpp:1685
#34 0x01de0783 in nsEventListenerManager::HandleEvent (this=0x96b1688,
aPresContext=0x95e5570, aEvent=0xbfde9ea8, aDOMEvent=0xbfde9d64, 
    aCurrentTarget=0x98e0348, aFlags=7, aEventStatus=0xbfdea30c) at
nsEventListenerManager.cpp:1786
#35 0x01e792d3 in nsXULElement::HandleDOMEvent (this=0x96b1650,
aPresContext=0x95e5570, aEvent=0xbfde9ea8, aDOMEvent=0xbfde9d64, aFlags=7, 
    aEventStatus=0xbfdea30c) at nsXULElement.cpp:2152
#36 0x01c74e8e in PresShell::HandleEventInternal (this=0x941a290,
aEvent=0xbfde9ea8, aView=0x0, aFlags=1, aStatus=0xbfdea30c) at nsPresShell.cpp:6367
#37 0x01c75173 in PresShell::HandleEventWithTarget (this=0x941a290,
aEvent=0xbfde9ea8, aFrame=0x98d3adc, aContent=0x96b1650, aFlags=1,
aStatus=0xbfdea30c)
    at nsPresShell.cpp:6264
#38 0x01de2671 in nsEventStateManager::CheckForAndDispatchClick (this=0x95e5818,
aPresContext=0x95e5570, aEvent=0xbfdea434, aStatus=0xbfdea30c)
    at nsEventStateManager.cpp:3038
#39 0x01deb0b2 in nsEventStateManager::PostHandleEvent (this=0x95e5818,
aPresContext=0x95e5570, aEvent=0xbfdea434, aTargetFrame=0x98d3adc, 
    aStatus=0xbfdea30c, aView=0x98634f0) at nsEventStateManager.cpp:2016
#40 0x01c750dd in PresShell::HandleEventInternal (this=0x941a290,
aEvent=0xbfdea434, aView=0x98634f0, aFlags=513, aStatus=0xbfdea30c)
    at nsPresShell.cpp:6439
#41 0x01c756d8 in PresShell::HandleEvent (this=0x941a290, aView=0x98634f0,
aEvent=0xbfdea434, aEventStatus=0xbfdea30c, aForceHandle=0, aHandled=@0xbfdea304)
    at nsPresShell.cpp:6203
#42 0x01e9815a in nsViewManager::HandleEvent (this=0x95e54c8, aView=0x98634f0,
aEvent=0xbfdea434, aCaptured=0) at nsViewManager.cpp:2557
#43 0x01e99870 in nsViewManager::DispatchEvent (this=0x95e54c8,
aEvent=0xbfdea434, aStatus=0xbfdea404) at nsViewManager.cpp:2246
#44 0x01e9134a in HandleEvent (aEvent=0xbfdea434) at nsView.cpp:171
#45 0x01a261e2 in nsCommonWidget::DispatchEvent (this=0x9863548,
aEvent=0xbfdea434, aStatus=@0xbfdea47c) at nsCommonWidget.cpp:219
#46 0x01a20410 in nsWindow::OnButtonReleaseEvent (this=0x9863548,
aWidget=0x936faa8, aEvent=0x9295ad0) at nsWindow.cpp:1598
#47 0x01a20437 in button_release_event_cb (widget=0x936faa8, event=0x9295ad0) at
nsWindow.cpp:3731
#48 0x00320603 in gtk_marshal_BOOLEAN__VOID () from /usr/lib/libgtk-x11-2.0.so.0
#49 0x00b3ddbd in g_closure_invoke () from /usr/lib/libgobject-2.0.so.0
#50 0x00b4ef88 in g_signal_override_class_closure () from
/usr/lib/libgobject-2.0.so.0
#51 0x00b502b3 in g_signal_emit_valist () from /usr/lib/libgobject-2.0.so.0
#52 0x00b506a5 in g_signal_emit () from /usr/lib/libgobject-2.0.so.0
#53 0x003fd8d0 in gtk_widget_get_default_style () from /usr/lib/libgtk-x11-2.0.so.0
#54 0x0031abad in gtk_propagate_event () from /usr/lib/libgtk-x11-2.0.so.0
#55 0x0031bbf5 in gtk_main_do_event () from /usr/lib/libgtk-x11-2.0.so.0
#56 0x00552213 in gdk_add_client_message_filter () from /usr/lib/libgdk-x11-2.0.so.0
#57 0x005f9a43 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#58 0x005fca83 in g_main_context_check () from /usr/lib/libglib-2.0.so.0
#59 0x005fce2c in g_main_loop_run () from /usr/lib/libglib-2.0.so.0
#60 0x0031c04c in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#61 0x01a2503a in nsAppShell::Run (this=0x9387fe0) at nsAppShell.cpp:139
#62 0x05a8dbdc in nsAppStartup::Run (this=0x9387fa0) at nsAppStartup.cpp:150
#63 0x0804f1d9 in XRE_main (argc=1, argv=0xbfdeafc4, aAppData=0x8062020) at
nsAppRunner.cpp:2313
#64 0x0804af71 in main (argc=1, argv=0xbfdeafc4) at nsMailApp.cpp:62
#65 0x008556b4 in __libc_start_main () from /lib/libc.so.6
#66 0x0804aed1 in _start ()
The program is running.  Exit anyway? (y or n)
Comment 1 Matthias Clasen 2006-02-21 14:00:37 EST
This may already be fixed in the current rawhide package.
Do you still see the problem ?
Comment 2 Guillaume Chazarain 2006-02-22 07:12:28 EST
The problem is not fixed, I managed to reproduce it with thunderbird-1.5-3.
Comment 3 Guillaume Chazarain 2007-07-31 04:46:48 EDT
I am now using thunderbird-2.0.0.5-1.fc7, and I have not seen this crash for a
long time (never with thunderbird-2.0), so for me this bug is fixed.
Comment 4 Matěj Cepl 2008-02-08 11:17:19 EST
Since this bugzilla report was filed, we have seriously upgraded Gecko-related
packages in Rawhide, which may have resolved this issue. Users who have
experienced this problem are encouraged to upgrade their system to the latest
version of their distribution available.

Closing this bug as CANTFIX. Please, reopen, if this bug is still reproducable
on the latest update of your distribution.

[This is mass-closing of bugs which seem to be too old and irrelevant anymore;
we are sorry, if we are closing your bug in mistake; please, don't hesitate to
reopen, if it is still alive issue.]

Note You need to log in before you can comment on or make changes to this bug.